> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit a transaction

> Submit a transaction request to the Relayer. Authenticated using Builder API Keys or Relayer API Keys. Returns immediately with the transactionID and a state of STATE_NEW. Poll GET /transaction with the returned transactionID to retrieve the transactionHash once broadcast.



## OpenAPI

````yaml openapi/polymarket-relayer.json POST /apis/v1/polymarket/submit
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Relayer
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/deployed
    - /apis/v1/polymarket/nonce
    - /apis/v1/polymarket/relay-payload
    - /apis/v1/polymarket/relayer/api/keys
    - /apis/v1/polymarket/submit
    - /apis/v1/polymarket/transaction
    - /apis/v1/polymarket/transactions
  x-aisa-document:
    facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:874b104f5f45239878bfa90fd0973478c966065a6ec2e5bf6e619c0f5f268fb3
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-relayer
  x-aisa-catalogs:
    polymarket-relayer:
      title: Polymarket Relayer
      description: ''
      x-aisa-document:
        facts_hash: 4aa318753fd96be7557dff84a8218aab5638e17dbcb96a9d4d1aaac2278117e3
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/submit:
    post:
      tags:
        - default
      summary: Submit a transaction
      description: >-
        Submit a transaction request to the Relayer. Authenticated using Builder
        API Keys or Relayer API Keys. Returns immediately with the transactionID
        and a state of STATE_NEW. Poll GET /transaction with the returned
        transactionID to retrieve the transactionHash once broadcast.
      operationId: any_polymarket_relayer_apis_v1_polymarket_submit
      parameters:
        - name: POLY_BUILDER_API_KEY
          in: header
          required: false
          description: Builder API key (when using Builder API Key auth)
          schema:
            type: string
        - name: POLY_BUILDER_PASSPHRASE
          in: header
          required: false
          description: Builder passphrase (when using Builder API Key auth)
          schema:
            type: string
        - name: POLY_BUILDER_SIGNATURE
          in: header
          required: false
          description: HMAC-SHA256 signature (when using Builder API Key auth)
          schema:
            type: string
        - name: POLY_BUILDER_TIMESTAMP
          in: header
          required: false
          description: Unix timestamp (when using Builder API Key auth)
          schema:
            type: string
        - name: RELAYER_API_KEY
          in: header
          required: false
          description: Relayer API key (when using Relayer API Key auth)
          schema:
            type: string
        - name: RELAYER_API_KEY_ADDRESS
          in: header
          required: false
          description: Address that owns the key (when using Relayer API Key auth)
          schema:
            type: string
            description: Ethereum address (0x-prefixed, 40 hex chars)
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - from
                - to
                - proxyWallet
                - data
                - nonce
                - signature
                - signatureParams
                - type
              properties:
                from:
                  type: string
                  description: Ethereum address (0x-prefixed, 40 hex chars)
                  pattern: ^0x[a-fA-F0-9]{40}$
                  example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
                to:
                  type: string
                  description: Ethereum address (0x-prefixed, 40 hex chars)
                  pattern: ^0x[a-fA-F0-9]{40}$
                  example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
                proxyWallet:
                  type: string
                  description: Ethereum address (0x-prefixed, 40 hex chars)
                  pattern: ^0x[a-fA-F0-9]{40}$
                  example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
                data:
                  type: string
                  description: Encoded transaction data (0x-prefixed hex string)
                  example: 0x...
                nonce:
                  type: string
                  description: Transaction nonce
                  example: '60'
                signature:
                  type: string
                  description: Transaction signature (0x-prefixed hex string)
                  example: >-
                    0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20
                signatureParams:
                  type: object
                  properties:
                    gasPrice:
                      type: string
                      description: Gas price
                      example: '0'
                    operation:
                      type: string
                      description: Operation type
                      example: '0'
                    safeTxnGas:
                      type: string
                      description: Safe transaction gas
                      example: '0'
                    baseGas:
                      type: string
                      description: Base gas
                      example: '0'
                    gasToken:
                      type: string
                      description: Ethereum address (0x-prefixed, 40 hex chars)
                      pattern: ^0x[a-fA-F0-9]{40}$
                      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
                    refundReceiver:
                      type: string
                      description: Ethereum address (0x-prefixed, 40 hex chars)
                      pattern: ^0x[a-fA-F0-9]{40}$
                      example: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
                type:
                  type: string
                  description: Transaction type
                  enum:
                    - SAFE
                    - PROXY
                  example: SAFE
            example:
              from: '0x6e0c80c90ea6c15917308F820Eac91Ce2724B5b5'
              to: '0xC011a7E12a19f7B1f670d46F03B03f3342E82DFB'
              proxyWallet: '0x6d8c4e9aDF5748Af82Dabe2C6225207770d6B4fa'
              data: 0x...
              nonce: '60'
              signature: >-
                0x01a060c734d7bdf4adde50c4a7e574036b1f8b12890911bdd1c1cfdcd77502381b89fa8a47c36f62a0b9f1cdfee7b260fd8108536db9f6b2089c02637e7de9fc20
              signatureParams:
                gasPrice: '0'
                operation: '0'
                safeTxnGas: '0'
                baseGas: '0'
                gasToken: '0x0000000000000000000000000000000000000000'
                refundReceiver: '0x0000000000000000000000000000000000000000'
              type: SAFE
      responses:
        '200':
          description: Transaction submitted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response0D96414269Ca_SubmitResponse'
              example:
                transactionID: 0190b317-a1d3-7bec-9b91-eeb6dcd3a620
                state: STATE_NEW
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    Response0D96414269Ca_SubmitResponse:
      type: object
      properties:
        transactionID:
          type: string
          description: Unique identifier for the submitted transaction
          example: 0190b317-a1d3-7bec-9b91-eeb6dcd3a620
        state:
          type: string
          description: Current state of the transaction
          example: STATE_NEW
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.